#
# spec file for package aha
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           aha
Version:        0.4.10.6
Release:        lp150.1.3
Summary:        ANSI color to HTML converter
License:        MPL-1.1 or LGPL-2.1+
Group:          System/Console
Url:            https://github.com/theZiz/aha/
Source:         https://github.com/theZiz/aha/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
aha (ANSI HTML Adapter) converts ANSI colors to HTML, e.g. if you
want to publish the output of ls --color=yes, git diff, ccal or htop
as static HTML somewhere.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} PREFIX=/usr %{?_smp_mflags}

%files
%defattr(-,root,root)
%doc CHANGELOG README.md
%{_bindir}/aha
%{_mandir}/man1/aha.1%{ext_man}

%changelog
* Fri May  5 2017 mardnh@gmx.de
- Update to version 0.4.10.6
  * Fixed MANDIR according to the GNU Coding standards, the man file
    is now installed to $(PREFIX)/share/man instead of $(PREFIX)/man
  * Fixed reset of blinking text
  * Fixed reset of bold text
  * Improved handling of some rare, but not supported border cases
    like font changing
  * Removed two unused variables
  * Improved README and added screenshot
  * Fixed bug with "tput sgr0"
  * Fixed inverted colours
  * Changed contact email address in help and manpage
* Mon Aug  1 2016 mardnh@gmx.de
- initial package
